> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/kaia/klay_gaspriceat.md).

# kaia\_gasPriceAt

Returns the unit price of the given block in peb.

#### **Parameters**

| Type   | Description                                                   |
| ------ | ------------------------------------------------------------- |
| NUMBER | Block number. If omitted, latest unit price will be returned. |

#### **Return Value**

| Type     | Description                              |
| -------- | ---------------------------------------- |
| QUANTITY | Integer of the current gas price in peb. |

#### Example

{% code overflow="wrap" %}

```json
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"kaia_gasPriceAt","params":["0x64"],"id":1}' http://kaia.blockpi.network/v1/rpc/your-api-key

// Result
{
  "jsonrpc": "2.0",
  "id":1,
  "result": "0xAE9F7BCC00" // 750,000,000,000 peb = 750 ston
}
```

{% endcode %}
